from superturtle.animation import animate
from turtle import *
from turtle import forward, right
from typeface import (
    draw_letter_p,
    draw_letter_i,
    draw_letter_e,
    draw_letter_t,
)

pensize(3)


def square(side_length):
    fillcolor('red')
    begin_fill()
    for side in range(4):

        forward(side_length)
        right(90)
    end_fill()

def square_yellow(side_length):
    fillcolor('yellow')
    begin_fill()
    for side in range(4):

        forward(side_length)
        right(90)
    end_fill()

def square_blue(side_length):
    fillcolor('blue')
    begin_fill()
    for side in range(4):

        forward(side_length)
        right(90)
    end_fill()

#animated loop
for frame in animate(40, loop=True):
    size = frame.interpolate(50, 100, mirror=True)
    penup()
    forward(80)
    square_yellow(size)
    square(size)
    forward(80)
    square_yellow(size)
    forward(80)
    square_blue(size)
    back(200)
    pendown()
    draw_letter_p(size/4)
    penup()
    forward(63)
    pendown()
    draw_letter_i(size/4)
    forward(22)
    draw_letter_e(size/4)
    forward(75)
    draw_letter_t(size/4)

    